DynamicJava Javadoc: Class ConstructorInvocation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class ConstructorInvocation

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.ConstructorInvocation

All Implemented Interfaces:
  ExpressionContainer

public class ConstructorInvocation
extends PrimaryExpression
implements ExpressionContainer

This class represents the constructor call nodes of the syntax tree

Field Summary
`static java.lang.String` | `ARGUMENTS` The arguments property name
`static java.lang.String` | `SUPER` The super property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Fields inherited from interface koala.dynamicjava.tree.ExpressionContainer
`EXPRESSION`

Constructor Summary
`ConstructorInvocation(Expression exp, java.util.List args, boolean sup)` Creates a new node
`ConstructorInvocation(Expression exp, java.util.List args, boolean sup, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new node

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.util.List` | `getArguments()` Returns the arguments
`Expression` | `getExpression()` Returns the prefix expression if one, or null otherwise
`boolean` | `isSuper()` Returns true is this invocation is a 'super' or a 'this' invocation
`void` | `setArguments(java.util.List l)` Sets the arguments
`void` | `setExpression(Expression e)` Sets the prefix expression
`void` | `setSuper(boolean b)` Sets the super property

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARGUMENTS

    public static final java.lang.String ARGUMENTS

  The arguments property name

### SUPER

    public static final java.lang.String SUPER

  The super property name

Constructor Detail

### ConstructorInvocation

    public ConstructorInvocation(Expression exp,
                                 java.util.List args,
                                 boolean sup)

  Creates a new node
  Parameters:
    `exp` - the prefix expression
    `args` - the arguments. null if there are no argument.
    `sup` - whether this invocation is 'super' or 'this'

### ConstructorInvocation

    public ConstructorInvocation(Expression exp,
                                 java.util.List args,
                                 boolean sup,
                                 java.lang.String fn,
                                 int bl,
                                 int bc,
                                 int el,
                                 int ec)

  Creates a new node
  Parameters:
    `exp` - the prefix expression
    `args` - the arguments. null if there are no argument.
    `sup` - whether this invocation is 'super' or 'this'
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Method Detail

### getExpression

    public Expression getExpression()

  Returns the prefix expression if one, or null otherwise
  Specified by:
    `getExpression` in interface `ExpressionContainer`

### setExpression

    public void setExpression(Expression e)

  Sets the prefix expression
  Specified by:
    `setExpression` in interface `ExpressionContainer`

### getArguments

    public java.util.List getArguments()

  Returns the arguments

### setArguments

    public void setArguments(java.util.List l)

  Sets the arguments

### isSuper

    public boolean isSuper()

  Returns true is this invocation is a 'super' or a 'this' invocation

### setSuper

    public void setSuper(boolean b)

  Sets the super property

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.